
textures/exil/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/exil/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/exil/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water

}

textures/exil/ladderclip
{
        qer_trans 0.40
	  qer_editor_image textures/exil/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/exil/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/exil/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
}

textures/exil/hallow
{
	qer_editorimage "textures/exil/hallow.jpg"
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodamage
}

textures/exil/hint 
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/exil/sky
{
	qer_editorimage textures/exil/thunder_up.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_backSplash 0 0
	q3map_surfacelight 500
	q3map_sunExt 0.7 1 1 255 0 90 15 32

	skyparms textures/exil/thunder - -
}

textures/exil/marmor
{
	qer_editorimage textures/exil/marm.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/exil/tintx.tga
		tcGen environment
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/exil/marm.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/exil/marm_floor
{
	qer_editorimage "textures/exil/marm_floor.jpg"
     //surfaceparm nonsolid
	surfaceparm nodamage
	//surfaceparm slick

	{
		map "textures/exil/marm_floor.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/exil/tintx.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}

}

textures/exil/marm_stairs
{
	qer_editorimage "textures/exil/marm_stairs.jpg"
     //surfaceparm nonsolid
	surfaceparm nodamage
	//surfaceparm slick

	{
		map "textures/exil/marm_stairs.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/exil/tintx.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}

}

textures/exil/metal_trim
{
	qer_editorimage "textures/exil/metal_trim.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/metal_trim.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/brick_trim
{
	qer_editorimage "textures/exil/brick_trim.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/brick_trim.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/concreate_trim
{
	qer_editorimage "textures/exil/concreate_trim.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/concreate_trim.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}



textures/exil/ground_1
{
	qer_editorimage "textures/exil/ground_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/ground_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/ground_2
{
	qer_editorimage "textures/exil/ground_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/ground_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/ground_3
{
	qer_editorimage "textures/exil/ground_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/ground_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/ground_4
{
	qer_editorimage "textures/exil/ground_4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/ground_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/sand
{
	qer_editorimage "textures/exil/sand.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/sand.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/grass_1
{
	qer_editorimage "textures/exil/grass_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/grass_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/grass_2
{
	qer_editorimage "textures/exil/grass_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/grass_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/brick_1
{
	qer_editorimage "textures/exil/brick_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/brick_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/brick_2
{
	qer_editorimage "textures/exil/brick_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/brick_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/brick_3
{
	qer_editorimage "textures/exil/brick_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/brick_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/cement_1
{
	qer_editorimage "textures/exil/cement_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/cement_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/cement_2
{
	qer_editorimage "textures/exil/cement_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/cement_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/cement_3
{
	qer_editorimage "textures/exil/cement_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/cement_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/cement_4
{
	qer_editorimage "textures/exil/cement_4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/cement_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/floor_1
{
	qer_editorimage "textures/exil/floor_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/floor_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/floor_2
{
	qer_editorimage "textures/exil/floor_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/floor_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/brawn_wall
{
	qer_editorimage "textures/exil/brawn_wall.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/brawn_wall.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/brawn_wall_nonsolide
{
	qer_editorimage "textures/exil/brawn_wall.jpg"
     surfaceparm nonsolid
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/brawn_wall.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/brawn_rock
{
	qer_editorimage "textures/exil/brawn_rock.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/exil/brawn_rock.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/rock_1
{
	qer_editorimage "textures/exil/rock_1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/rock_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/rock_2
{
	qer_editorimage "textures/exil/rock_2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/rock_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/rock_3
{
	qer_editorimage "textures/exil/rock_3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/rock_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/rock_4
{
	qer_editorimage "textures/exil/rock_4.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/exil/rock_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/wood_2
{
	qer_editorimage "textures/exil/wood_2.jpg"
       surfaceparm nonsolid
	//surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/wood_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/metal
{
	qer_editorimage "textures/exil/metal.jpg"
       surfaceparm nonsolid
	//surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/exil/metal.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/exil/Flame
{
	qer_editorimage textures/exil/Flameball.tga
     q3map_surfacelight 700
     surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		animMap 10 textures/exil/Flame1.tga textures/exil/Flame2.tga textures/exil/Flame3.tga textures/exil/Flame4.tga textures/exil/Flame5.tga textures/exil/Flame6.tga textures/exil/Flame7.tga textures/exil/Flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}	
	{
		animMap 10 textures/exil/Flame2.tga textures/exil/Flame3.tga textures/exil/Flame4.tga textures/exil/Flame5.tga textures/exil/Flame6.tga textures/exil/Flame7.tga textures/exil/Flame8.tga textures/exil/Flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/exil/Flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/exil/water
{
        qer_editorimage textures/exil/hq_water_a.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/exil/hq_water_a.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/exil/hq_water_b.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/exil/hq_water_c.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}


textures/exil/water_02
	{
		qer_editorimage textures/exil/water_02a.jpg
		qer_trans .8
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	

		{ 
			map textures/exil/water_02a.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scroll 1.2 0
			alphaGen vertex
		}
	
		{ 
			map textures/exil/water_02b.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scroll 1 0
			alphaGen vertex
		}
		
		{ 
			map textures/exil/water_02a.jpg
			blendFunc add
			alphagen wave sin 0.25 0.5 0 1
			rgbgen identity
			tcmod scroll 1.2 0
			alphaGen vertex
		}
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}


textures/exil/vine1
{
	qer_editorimage textures/exil/vine1.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip	
	cull none 	
	{
		map textures/exil/vine1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/exil/vine2
{
	qer_editorimage textures/exil/vine2.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip	
	cull none 	
	{
		map textures/exil/vine2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/exil/vine3
{
	qer_editorimage textures/exil/vine3.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   	noPicMip	
	cull none 	
	{
		map textures/exil/vine3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/exil/lavaheall
{
	qer_editorimage textures/exil/lavaheall.tga
	q3map_globaltexture
	surfaceparm trans	
	surfaceparm noimpact
	surfaceparm lava
	q3map_surfacelight 500
	cull disable	
	tesssize 128
	cull disable
	deformVertexes wave 250 sin 4 8 0.15 0.3 
        {
		map textures/exil/lavaheall.tga
                tcmod scale 0.5 0.5
                tcmod scroll 0 0
                tcMod turb 0.1 .1 0.01 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
}

textures/exil/lavafall
{
	qer_editorimage textures/exil/lavafall.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes bulge 4 2 6
	{
		map textures/exil/lavafall.tga
		tcMod scroll 1 0
	}
}

textures/exil/rock_vive
{
	qer_editorimage textures/exil/rock_grey2vine.tga
	
     //surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm slick
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		// Primary
		map textures/exil/rock_4.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/exil/rock_grey2vine.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



